x = 5
y = 21

#   0000 0101 = 5
# & 0001 0101 = 21
# ----------------
#      0 0101 = 5
print(x & y) # output: 5

#   0000 0101 = 5
# | 0001 0101 = 21
# ----------------
#      1 0101 = 21
print(x | y) # output: 21

#   0000 0101 = 5
# ^ 0001 0101 = 21
# ----------------
#      1 0000 = 16
print(x ^ y) # output: 16

#   0000 0101 = 5
# <<        2
# ----------------
#   0001 0100 = 20
print(x << 2)
